Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1418282 - [RFE] allow activation keys to have an undefined (null) SLA
Summary: [RFE] allow activation keys to have an undefined (null) SLA
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Customer Portal
Classification: Red Hat
Component: Subscriptions/RHSM
Version: unspecified
Hardware: x86_64
OS: Linux
high
urgent
Target Milestone: Needs Grooming
: ---
Assignee: Thomas "Shea" DeAntonio
QA Contact: Jon Allen
Anni Bond
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-01 12:54 UTC by Rich Jerrido
Modified: 2017-05-30 20:21 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-30 20:21:56 UTC
Target Upstream Version:
ealcaniz: release-blocker?


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1415014 1 None None None 2021-06-03 09:45:24 UTC

Internal Links: 1415014

Description Rich Jerrido 2017-02-01 12:54:43 UTC
Description of problem:


When creating an activation key using the activation key page (https://access.redhat.com/management/activation_keys), I would like the ability to not have to set an SLA. Today, the current UI forces me to select an SLA (Premium|Standard|Self-Support).

This can have unintended effects as the activation key that is defined on the key sets the SLA on the consumer. And if the consumer is a virtual guest you will have unpredictable behavior when it is migrated to a host with a different SLA. 

Also, Candlepin matches SLA exactly, so setting an SLA of Standard means 'exactly standard', not 'standard or better', which is confusing to the end user.

Comment 3 smcdowel 2017-05-30 20:21:56 UTC
This has been released to Production today as part of RHSM Web 14.2.0.


Note You need to log in before you can comment on or make changes to this bug.